# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [3.1.0](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/compare/@elegantstack/gatsby-plugin-utility-directives@3.0.1...@elegantstack/gatsby-plugin-utility-directives@3.1.0) (2021-05-19)


### Features

* upgrade dependencies ([dae5750](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/dae57508db7811d0a33ceeb53d57f9b680196f37))




### [3.0.1](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/compare/@elegantstack/gatsby-plugin-utility-directives@3.0.0...@elegantstack/gatsby-plugin-utility-directives@3.0.1) (2021-03-20)


### Bug Fixes

* **gatsby-plugin-utility-directives:** fix missing dash in slugs ([adbabcb](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/adbabcb86b0306ed9fc6efc3b5b44e097048ed4b))




## 3.0.0 (2021-03-17)


### Features

* **gatsby-blog-core:** allow slash in custom slug ([22eb1d9](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/22eb1d923ea4e38f1807ffe1424e0aca4698ed0f))
* Upgrade to Gatsby v3 and upgrade other dependencies ([50a69aa](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/50a69aa908fae6c16b2c5127f6339114297a57fa))


### Performance Improvements

* **gatsby-plugin-utility-directives:** improve makeSlug performance ([179a1a8](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/179a1a814f8d2a833a00c9635f63552117a1abc6))

## 2.10.0 (2021-02-13)


### Refactor

* skip creating existing field extensions in gatsby-plugin-utility-directives ([bc15792](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/bc1579225d46420fb224ce774494186b78969070))

## 2.8.0 (2020-12-15)


### Refactor

* remove unnecessary peerDependencies from plugins ([97adf0a](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/97adf0afe8ccc8b19c774ae9cc2d0894f7b42779))

## 2.4.0 (2020-09-26)


### Features

* upgrade slugify module in gatsby-plugin-utility-directives package ([4a9491d](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/4a9491d4261f166f9758f00d5b15cdbed13e5325))


### Bug Fixes

* add strict option to slugify in makeSlug directive ([84b0d78](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/84b0d78bc0d8b17a9264e75a0dbbb39d53553c94))

## 2.3.0 (2020-08-06)


### Bug Fixes

* fix images in Sanity blog posts causing build error ([cce94ea](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/cce94ea0c6cb3b4f63ec2924428bfbb3965e59cf))

## 2.0.0 (2020-07-26)


### Features

* decouple general functionalities from core and move to gatsby plugins with gatsby naming convention ([c92ac94](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/c92ac948f988507c61db94bcfa1622daf9a25e3a))
* upgrade dependencies in package files ([9391fad](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/9391fad0a525f7a8514ab722831eff9a2eae8e04))




## [2.10.0](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/compare/v2.9.0...v2.10.0) (2021-02-13)


### Refactor

* skip creating existing field extensions in gatsby-plugin-utility-directives ([bc15792](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/bc1579225d46420fb224ce774494186b78969070))




## [2.8.0](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/compare/v2.7.0...v2.8.0) (2020-12-15)


### Refactor

* remove unnecessary peerDependencies from plugins ([97adf0a](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/97adf0afe8ccc8b19c774ae9cc2d0894f7b42779))




# [2.4.0](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/compare/v2.3.1...v2.4.0) (2020-09-26)


### Bug Fixes

* add strict option to slugify in makeSlug directive ([84b0d78](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/84b0d78bc0d8b17a9264e75a0dbbb39d53553c94))


### Features

* upgrade slugify module in gatsby-plugin-utility-directives package ([4a9491d](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/4a9491d4261f166f9758f00d5b15cdbed13e5325))





# [2.3.0](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/compare/v2.2.3...v2.3.0) (2020-08-06)


### Bug Fixes

* fix images in Sanity blog posts causing build error ([cce94ea](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/cce94ea0c6cb3b4f63ec2924428bfbb3965e59cf))






# [2.0.0](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/compare/v1.2.0...v2.0.0) (2020-07-26)


### Features

* decouple general functionalities from core and move to gatsby plugins with gatsby naming convention ([c92ac94](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/c92ac948f988507c61db94bcfa1622daf9a25e3a))
* upgrade dependencies in package files ([9391fad](https://gitlab.com/alimoosavi15/gatsby-theme-flexiblog/commit/9391fad0a525f7a8514ab722831eff9a2eae8e04))
